(*
  Author: Kulverstukas
  Written on: 2011.09.11
  http://newage.ql.lt/
  Shouts: Evilzone.org
*)

program CMDFonts;
{$APPTYPE CONSOLE}

{$R *.dres}

uses
  Windows,
  SysUtils,
  Classes,
  Registry,
  Forms;

//uses Windows, SysUtils, Classes, Forms, Controls, StdCtrls, Registry;

var FontList, Tmp : TStrings;
    Reg : TRegistry;
    I : integer;
    Last : String;

begin
FontList := TStringList.Create;
Tmp := TStringList.Create;
FontList := Screen.Fonts;

WriteLn('Program to scan your registry for TrueType fonts and add them to'#10#13+
        'the CMD font folder so you can choose what font to use in Command prompt.');
WriteLn(#10#13+'Press ENTER to begin');
ReadLn;

Reg := TRegistry.Create;
Reg.RootKey := HKEY_LOCAL_MACHINE;
Reg.OpenKey('SOFTWARE\Microsoft\Windows NT\CurrentVersion\Console\TrueTypeFont', True);
Reg.GetValueNames(Tmp);
Last := Tmp[Tmp.Count-1];
if (Last = '') then Last := '0';

for I := 0 to FontList.Count-1 do
 begin
   Last := Last + '0';
   Last := Trim(Last);
   Reg.WriteString(Last, FontList[I]);
 end;

WriteLn('Written '+IntToStr(Length(Last))+' fonts to the registry. Restart the system to see them in CMD.');

ReadLn;

end.





